petsc-3.7.1 2016-05-15
Report Typos and Errors

# TaoGetIterationNumber

Gets the number of Tao iterations completed at this time.

### Synopsis

    #include "petsctao.h"
    PetscErrorCode  TaoGetIterationNumber(Tao tao,PetscInt *iter)

Not Collective Many br

### Input Parameter

tao -Tao context Many br

### Output Parameter

iter -iteration number Many br

### Notes

For example, during the computation of iteration 2 this would return 1. Many br

Many br

### Keywords

Tao, nonlinear, get, iteration, number,

### See Also

TaoGetLinearSolveIterations()

Level:intermediate
Location:src/tao/interface/taosolver.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages